package registrovehicular;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;

import javax.swing.JDesktopPane;
import javax.swing.JMenuBar;
import javax.swing.JMenu;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

public class RegistroVehicular extends JFrame {
	
	private final JDesktopPane principal = new JDesktopPane();

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					RegistroVehicular frame = new RegistroVehicular();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public RegistroVehicular() {
		setTitle("Registro Vehicular");
		
		JMenuBar menuBar = new JMenuBar();
		setJMenuBar(menuBar);
		
		JMenu mnOperaciones = new JMenu("Operaciones");
		menuBar.add(mnOperaciones);
		
		JMenuItem mntmAgregarNuevoRegistro = new JMenuItem("Agregar nuevo registro");
		mnOperaciones.add(mntmAgregarNuevoRegistro);
		
		JMenuItem mntmEliminarUnRegistro = new JMenuItem("Eliminar un registro");
		mnOperaciones.add(mntmEliminarUnRegistro);
		
		JMenuItem mntmModificarRegistro = new JMenuItem("Modificar Registro");
		mnOperaciones.add(mntmModificarRegistro);
		
		JMenuItem mntmConsultarRegistro = new JMenuItem("Consultar Registro");
		mnOperaciones.add(mntmConsultarRegistro);
		
		JMenuItem mntmMostrarArchivo = new JMenuItem("Mostrar Archivo");
		mnOperaciones.add(mntmMostrarArchivo);
		principal.setBackground(Color.DARK_GRAY);
		setContentPane(principal);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 796, 505);
		RegistroVehicular rv=this; //Obtiene el contexto actual de la ventana principal
		mntmAgregarNuevoRegistro.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				
				AltaVehiculo ventanaInterna=new AltaVehiculo("Alta de Vehiculo",true,true,true,rv);
				principal.add(ventanaInterna);	
			}
		});
		mntmMostrarArchivo.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				MostrarVehiculos ventanaInterna=new MostrarVehiculos(rv);
				principal.add(ventanaInterna);
			}
		});
		mntmConsultarRegistro.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				String placax=JOptionPane.showInputDialog("Teclea la placa del vehiculo a consultar:");
				OperacionesArchivos opera=new OperacionesArchivos();
				Vehiculo x=opera.consultarArchivo("vehiculos.csv", placax);
				if (x!=null) {
					JOptionPane.showMessageDialog(null, x.mostrarDatos());
				} else JOptionPane.showMessageDialog(null, "No se encontro el vehiculo");
			}
		});
		mntmEliminarUnRegistro.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				String placax=JOptionPane.showInputDialog("Teclea la placa del vehiculo a consultar:");
				OperacionesArchivos opera=new OperacionesArchivos();
				opera.eliminarRegistro("Vehiculos.csv", placax);
			}
		});
		mntmModificarRegistro.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				String placax=JOptionPane.showInputDialog("Teclea la placa del vehiculo a consultar:");
				OperacionesArchivos opera=new OperacionesArchivos();
				opera.modificarRegistro("Vehiculos.csv", placax,rv,opera);
			}
		});
	}
}
